{ runCommand
, jq
, cargo
, replaceWorkspaceValues
, nix
, path

, fetched
, lockFile
}:

runCommand "cargo-vendor-dir" {
  inherit lockFile fetched;
  nativeBuildInputs = [ cargo jq replaceWorkspaceValues nix ];
} ''
  nix eval --raw -v --store $PWD --extra-experimental-features nix-command --expr "import ${./make-vendor-tarball.nix} { lib = import ${"${path + "/lib"}"}; lockFile = \"$lockFile\"; fetched = \"$fetched\"; }" --impure | bash
''
